"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dimension = void 0;
var compound_1 = require("./compound");
/**
 * Contains all software used for the calculation of physical base dimensions.
 */
var Dimension;
(function (Dimension_1) {
    /**
     * Contains all physical base dimensions and their corresponding abbreviations.
     */
    var Table = {
        current: '\\textbf{I}',
        intensity: '\\textbf{J}',
        length: '\\textbf{L}',
        mass: '\\textbf{M}',
        substance: '\\textbf{N}',
        temperature: '\\boldsymbol{\\Theta}',
        time: '\\textbf{T}',
    };
    ;
    /**
     * Defines the class for physical base dimensions.
     */
    var Dimension = /** @class */ (function (_super) {
        __extends(Dimension, _super);
        function Dimension(exponents) {
            var _this = _super.call(this, exponents, function (t) { return Table[t]; }) || this;
            _this.isBase = (_super.prototype.getNonzeroExponents.call(_this).length === 1 && _super.prototype.getExponent.call(_this, _super.prototype.getNonzeroExponents.call(_this)[0]) === 1);
            return _this;
        }
        Dimension.prototype.mult = function (other, exponent) {
            return new Dimension(_super.prototype.combine.call(this, other, exponent));
        };
        return Dimension;
    }(compound_1.Compound.Compound));
    Dimension_1.Dimension = Dimension;
    /**
     * Represents a dimensionless value.
     */
    Dimension_1.None = new Dimension({});
})(Dimension || (exports.Dimension = Dimension = {}));
