"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Unit = void 0;
var attribute_1 = require("./attribute");
var compound_1 = require("./compound");
var conversion_1 = require("./conversion");
/**
 * Contains all software used for the calculation of units of measurement.
 */
var Unit;
(function (Unit_1) {
    ;
    /**
     * Defines the class for units of measurement for physical quantities.
     */
    var Unit = /** @class */ (function (_super) {
        __extends(Unit, _super);
        function Unit(exponents, attrOverride) {
            var _this = _super.call(this, exponents, function (t) { return conversion_1.Conversion.Table[t]().latex; }) || this;
            _this.scale = 1;
            _this.attribute = attribute_1.Attribute.None;
            for (var unit in exponents) {
                var conversion = conversion_1.Conversion.Table[unit](), exponent = _super.prototype.getExponent.call(_this, unit);
                _this.scale *= (Math.pow(conversion.scale, exponent));
                _this.attribute = _this.attribute.mult(conversion.attribute, exponent);
            }
            _this.attribute = _this.attribute.simplify();
            if (attrOverride) {
                if (_this.attribute.dimension.is(attrOverride.dimension)) {
                    _this.attribute = attrOverride;
                }
                else {
                    throw new Error('\\text{Override dimensions do not match! } ' + _this.attribute.dimension.toString() + ' \\text{ vs. } ' + attrOverride.dimension.toString());
                }
            }
            return _this;
        }
        Unit.prototype.mult = function (other, exponent) {
            return new Unit(_super.prototype.combine.call(this, other, exponent), this.attribute.mult(other.attribute, exponent));
        };
        return Unit;
    }(compound_1.Compound.Compound));
    Unit_1.Unit = Unit;
    /**
     * Represents a unitless value.
     */
    Unit_1.None = new Unit({});
})(Unit || (exports.Unit = Unit = {}));
