import { Attribute } from './attribute';
import { Dimension } from './dimension';
import { Quantity } from './quantity';
import { Unit } from './unit';
/**
 * Shorthand for creating a new measured quantity.
 * @param value The numerical value of the measurement
 * @param unit The physical units of the measurement
 * @returns A new quantity object
 */
export declare function Q(value: number, unit: Unit.Unit): Quantity.Quantity;
/**
 * Shorthand for creating a new unit of measurement.
 * @param exponents Exponents on each of the individual units
 * @returns A new unit object
 */
export declare function U(exponents: Unit.Exponents | Unit.Name): Unit.Unit;
/**
 * Shorthand for creating a new attribute.
 * @param exponents Exponents that make up this attribute
 * @returns A new attribute object
 */
export declare function A(exponents: Attribute.Exponents | Attribute.Name): Attribute.Attribute;
/**
 * Shorthand for creating a set of physical base dimensions.
 * @param exponents Exponents of each of the dimensions
 * @returns A new dimension object
 */
export declare function D(exponents: Dimension.Exponents | Dimension.Name): Dimension.Dimension;
