/**
 * Contains all software used for the calculation of metric prefixes.
 */
export declare namespace Prefix {
    /**
     * Contains definitions for metric prefixes.
     */
    export type Name = 'quetta' | 'ronna' | 'yotta' | 'zetta' | 'exa' | 'peta' | 'tera' | 'giga' | 'mega' | 'kilo' | 'hecto' | 'deca' | 'deci' | 'centi' | 'milli' | 'micro' | 'nano' | 'pico' | 'femto' | 'atto' | 'zepto' | 'yocto' | 'ronto' | 'quecto';
    /**
     * Contains information for a metric prefix.
     */
    interface Data {
        /**
         * The LaTeX representation of this metric prefix.
         */
        readonly latex: string;
        /**
         * The scale of this metric prefix.
         */
        readonly scale: number;
    }
    /**
     * Contains information for all metric prefixes.
     */
    export const Table: {
        [index in Name]: Data;
    };
    export {};
}
